<?php

function uc_easypay_complete() {
    $_SESSION['do_complete'] = TRUE;
    drupal_goto('cart/checkout/complete');
}

function uc_easypay_cancel() {
    unset($_SESSION['cart_order']);
    drupal_goto('cart/checkout/cancel');
}

function uc_easypay_review() {
    drupal_goto('cart/checkout/review');
}

function uc_easypay_notify() {
    $order_mer_code   = $_POST['order_mer_code'];
    $sum              = $_POST['sum'];
    $mer_no           = $_POST['mer_no'];
    $card             = $_POST['card'];
    $purch_date       = $_POST['purch_date'];
    $web_key          = variable_get('uc_easypay_webkey', '');
    $notify_signature = $_POST['notify_signature'];
    
    $hash = md5($order_mer_code . $sum . $mer_no . $card . $purch_date . $web_key);
    
       if ($notify_signature == $hash) {
           $result = db_query('UPDATE {uc_orders} SET `order_status` = "%s" WHERE `order_id` = %d', 'payment_received', $order_mer_code);
          if ($result) {
              $status = 'OK | order is paid';
              header("HTTP/1.0 200 OK");
              print $status;    
          } else {
              $status = 'FAILED | can\'t write in database';
              header("HTTP/1.0 400 Bad Request");
              print $status;
          }
          
       } else {
            $status = 'FAILED | incorrect notify signature'; 
            header("HTTP/1.0 400 Bad Request");
            print $status;     
       }
}